package com.zipcodewilmington.gildedrose;

import org.junit.Assert;
import org.junit.Test;

public class InventoryTest {
    @Test
    public void updateQuantityTest(){

        Item item = new Item("Aged Brie",4,10);
        Item[] items = {item};


        Assert.assertEquals(18, item.getQuality());
    }
    @Test
    public void UpdatingQualities() {
        Item backstagePass = new Item("Backstage passes to a TAFKAL80ETC concert", -1, 30);
        Item arr[] = new Item[1];
        arr[0] = backstagePass;
        Inventory inventory = new Inventory(arr);
        int expectedOutput = 0;

        //when
        inventory.refactor();
        int actualOutput = backstagePass.getQuality();

        //then
        Assert.assertEquals(expectedOutput, actualOutput);
               }
    @Test
    public void UpdatingQualities2() {
        Item aged = new Item("aged", -1, 9);
        Item arr[] = new Item[1];
        arr[0] = aged;
        Inventory inventory = new Inventory(arr);
        int expectedOutput = 0;

        //when
        inventory.refactor();
        int actualOutput = aged.getQuality();

        //then
        Assert.assertEquals(expectedOutput, actualOutput);
    }
    @Test
    public void UpdatingSelldates() {
        Item concert = new Item("Backstage passes to a TAFKAL80ETC concert", 10, 9);
        Item arr[] = new Item[1];
        arr[0] = concert;
        Inventory inventory = new Inventory(arr);
        int expectedOutput = 9;

        //when
        inventory.refactor();
        int actualOutput = concert.getSellIn();

        //then
        Assert.assertEquals(expectedOutput, actualOutput);
    }
    @Test
    public void Notfromtheoriginallist() {
        Item apple = new Item("apple", -1, 9);
        Item arr[] = new Item[1];
        arr[0] = apple;
        Inventory inventory = new Inventory(arr);
        int expectedOutput = 0;

        //when
        inventory.refactor();
        int actualOutput = apple.getQuality();

        //then
        Assert.assertEquals(expectedOutput, actualOutput);
    }
    @Test
    public void Notfromtheoriginallist2() {
        Item apple = new Item("Conjured", 10, 90);
        Item arr[] = new Item[1];
        arr[0] = apple;
        Inventory inventory = new Inventory(arr);
        int expectedOutput = 88;

        //when
        inventory.refactor();
        int actualOutput = apple.getQuality();

        //then
        Assert.assertEquals(expectedOutput, actualOutput);
    }

}

