package com.zipcodewilmington.gildedrose;


public class Inventory {
    private Item[] items;
    static final String Aged = "Aged Brie";
    static final String Backstage = "Backstage passes to a TAFKAL80ETC concert";
    static final String Sulf = "Sulfuras,Hand of Ragnaros";
    static final String Conj = "Conjured";

    public Inventory(Item[] items) {
        super();
        this.items = items;
    }

    public void refactor() {

        for (int i = 0; i < items.length; i++) {

            switch (items[i].getName()) {

                case Aged:
                    increaseQuality(items[i]);
                    under6days(items[i]);
                    expireditems(items[i]);
                    sulferus_Deduction(items[i]);

                    break;

                case Backstage:
                    increaseQuality(items[i]);
                    extramoneyfortheconcert(items[i]);
                    sulferus_Deduction(items[i]);
                    expireditems(items[i]);
                    break;

                case Sulf:
                    increaseQuality(items[i]);
                    under6days(items[i]);
                    expireditems(items[i]);
                    break;


                case Conj:

                    notFromTheOriginalList(items[i]);
                    sulferus_Deduction(items[i]);

                    break;

                    default:

                        notFromTheOriginalList(items[i]);
                        sulferus_Deduction(items[i]);
            }
        }
    }


    public void increaseQuality(Item item){

        if(item.getQuality() < 50 ){
            item.setQuality(item.getQuality()+1);

        }
    }
    public void expireditems(Item item){

        if(item.getSellIn()< 0) {
            item.setQuality(0);
        }

    }
    public void under6days(Item item){

        if(item.getSellIn()<6 && item.getQuality()<50){

            item.setQuality(item.getQuality()+1);
        }

    }

    public void extramoneyfortheconcert(Item item){

        if(item.getSellIn()<11 && item.getQuality()<50){

            item.setQuality(item.getQuality()+1);

        }

    }
    public void sulferus_Deduction(Item item){

        if(!Sulf.equals(item)){

            item.setSellIn(item.getSellIn()-1);

        }
    }

    public void notFromTheOriginalList(Item item){

            if(!item.equals(Sulf)&&!item.equals(Aged)&&!item.equals(Backstage)){

                item.setQuality(item.getQuality()-2);

            }


        }

    }

